Flyspray - The bug killer!

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Backend/Core
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version 1.0 devel (github master)
  • Due in Version Undecided
  • Due Date Undecided
  • Votes
  • Private
Attached to Project: Flyspray - The bug killer!
Opened by Ivan Z. - 13.05.2017
Last edited by peterdd - 24.05.2017

FS#2433 - Deprecated: mysql_connect()

Hello !
There is an error after the installation at the entrance to the main page.
It occurs in version 2016-11-18: Flyspray 1.0-rc4 is released, as well as in the master branch.
(Sorry, translate google)

Deprecated: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in removed ..

   php.ini (15.4 KiB)
Closed by  peterdd
24.05.2017 17:59
Reason for closing:  Not a bug
Project Manager
peterdd commented on 15.05.2017 08:48

Change dbtype="mysql" to dbtype="mysqli" in your flyspray.conf.php

I wonder a bit, because mysqli is selected by default during the web install process and a notice should be visible to prefer the mysqli over the deprecated mysql extension

Ivan Z. commented on 19.05.2017 16:34

I chose MySQL when installing it, it is also written supported. Your decision helped, thank you so much.

Project Manager
peterdd commented on 24.05.2017 17:58

updated description.

Maybe add check for at install and upgrades for php version (deprecated since php 5.5, removed since php 7.0) and if mysql and/or mysqli extension is enabled.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing